View Issue Details

IDProjectCategoryView StatusLast Update
0003866unrealmodule apipublic2009-11-22 13:18
Reporterk4beAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.9-RC1 
Summary0003866: New Packet hook
DescriptionThe hook allows to catch and modify all commands sent by a client, or commands to be sent to a client. We tried to create it ourselves, and got it working (attached diff). The hook is used by a module that converts character encoding (Polish irc network, charsets iso-8859-2, utf-8, windows-1250).
The buffer must not be replaced when receiving message from client, and should be replaced (with static char[] declared in the module function) when sending message to client, otherwise strange things will happen.
I'm not sure that HOOKTYPE_PACKET is the best name, but my friend, who helped me to code this module, suggested it.
Did not test with multiple functions using the hook.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

2009-08-15 16:57

 

hook.diff (1,853 bytes)

syzop

2009-11-22 13:17

administrator   ~0015958

Added in CVS (.771), thanks for the patch :)

- Applied patch from k4be (0003866) which introduces a new packet hook
  (HOOKTYPE_PACKET). Replacing the 'text to be sent' to a client is
  supported, which allows character(set) conversion in a module.
  Note that modifying an incoming message by the hook is not supported.

Issue History

Date Modified Username Field Change
2009-08-15 16:57 k4be New Issue
2009-08-15 16:57 k4be File Added: hook.diff
2009-08-17 12:02 syzop Status new => acknowledged
2009-08-17 12:02 syzop Relationship added child of 0003776
2009-11-22 13:17 syzop QA => Not touched yet by developer
2009-11-22 13:17 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-11-22 13:17 syzop Note Added: 0015958
2009-11-22 13:17 syzop Status acknowledged => resolved
2009-11-22 13:17 syzop Fixed in Version => 3.2.9-RC1
2009-11-22 13:17 syzop Resolution open => fixed
2009-11-22 13:17 syzop Assigned To => syzop
2017-01-06 15:48 syzop Category module => module api